#include <bits/stdc++.h>
#define d 1000000

using namespace std;
int niz[2000003];
vector <int> zamenjene;
int n, k, a;

int main () {
    cin >>  n >> k;
    for (int i = 0; i < n; i++) {
        cin >> a;
        int h = a + d;
        niz[h]++;
        if (niz[h] == k) {
        	zamenjene.push_back(a);
            niz[h] = 0;
        }

    }
	cout << zamenjene.size() << endl;
	for (int i = 0; i < zamenjene.size(); i++)
		cout << zamenjene[i] << " ";
    cout << endl;

    return 0;

}